--Archmages mod for Dominions II, version .1
--Created by Chris Howe

-- COPYRIGHT NOTE

	In some cases I have modified graphics originally created by Illwinter or other Dominions II mod designers in order to create the graphics for Nova Deus.  In those cases, the artwork belongs entirely to the original artist and I make no claim to originality.  Your work was exceptional and I simply could no pass up the opportunity to use it to make my own mod better.

-- DESIGN NOTES

--This modification adds the following new pretenders to the Dominions II (in the range of 2076-2081):
	-- 2384 Puppet Master *
	-- 2385 Bloodhound *
	-- 2386 geomancer *
	-- 2387 Ember Mage *
	-- 2388 Reaper *
	-- 2389 Wind Dancer *
		
-- MODIFICATION CODE

#modname "Battlemages"
#description "This mod adds six new Pretender Gods."
#icon "./battlemages/banner.tga"
#version .1
#domversion 2.16

-- familiars
#newweapon 809
#name "Living Marionette"
#dmg 10
#bonus
#nostr
#len 2
#end

#newweapon 810
#name "Rabid Hound"
#dmg 5
#bonus
#nostr
#secondaryeffectalways 143
#len 2
#end

#newweapon 813
#name "Falcon"
#dmg 8
#bonus
#nostr
#len 2
#secondaryeffect 333
#end

-- Special Powers
#newweapon 815
#name "Ravage Minds"
#explspr 10001
#aoe 2
#dmg 5
#armornegating
#magic
#ammo 5
#att 100
#nostr
#bonus
#secondaryeffectalways 189
#range 100
#sound 22
#end

#newweapon 816
#name "Harden Flesh"
#explspr 10062
#aoe 2
#dmg 0
#ammo 3
#att 2
#magic
#nostr
#bonus
#secondaryeffect 104
#range 40
#sound 18
#end

#newweapon 817
#name "Flaying Wind"
#explspr 10008
#noe 3
#aoe 3
#dmg 14
#magic
#ammo 5
#att 15
#nostr
#bonus
#secondaryeffectalways 335
#range 40
#sound 7
#end

#newweapon 818
#name "Ember Rain"
#explspr 10031
#aoe 3
#dmg 18
#armorpiercing
#ammo 3
#magic
#nostr
#bonus
#secondaryeffectalways 192
#range 40
#sound 16
#end

#newweapon 819
#name "Ember Rain"
#explspr 10028
#aoe 3
#dmg 18
#armorpiercing
#ammo 3
#magic
#nostr
#bonus
#secondaryeffectalways 192
#range 40
#sound 16
#end

#newweapon 823
#name "Flaying Wind"
#explspr 10118
#aoe 3
#dmg 14
#magic
#ammo 5
#att 15
#nostr
#bonus
#secondaryeffectalways 125
#range 40
#sound 7
#end

#newweapon 824
#name "Reap Souls"
#explspr 10206
#aoe 2
#dmg 0
#magic
#ammo 3
#nostr
#bonus
#secondaryeffectalways 73
#range 40
#sound 18
#end

--Hand Weapons

#newweapon 820
#name "unused"
#dmg 6
#len 3
#att 1
#def 3
#end

#newweapon 821
#name "Sanguine Dousing Rod"
#dmg 6
#len 3
#att 1
#def 3
#end

#newweapon 822
#name "Ribbon"
#dmg 3
#len 5
#att 1
#def 3
#end

#newweapon 825
#name "Scythe"
#dmg 12
#len 4
#att -1
#def -2
#end




-- mages
#newmonster 2384
#clear
#name "Puppet Master"
#spr1 "./battlemages/puppet1.tga"
#spr2 "./battlemages/puppet2.tga"
#descr "The puppet master is a tricky archmage, Who in his studies discovered two important secrets: how to be immortal, a technique also used to heal his wounds, and how to ensnare the minds of men. With the power of his art he can shred the minds of his enemies and bend them to his will. A living marionette accompanies him, as a familiar, and will fight along side him in battle. The puppet master is an excellent leader, and can command a great number of troops."
#ap 12
#mapmove 2
#hp 14
#prot 0
#size 2
#str 8
#enc 2
#att 6
#def 9
#prec 12
#mr 18
#mor 30
#gcost 75
#rcost 10
#weapon 238
#weapon "Living Marionette"
#weapon 815
#weapon 815
#startdom 1
#magicskill 4 2
#pathcost 10
#superiorleader
#nomagicleader
#noundeadleader
#end

#newmonster 2385
#clear
#name "Bloodhound"
#spr1 "./battlemages/hound1.tga"
#spr2 "./battlemages/hound2.tga"
#descr "The Bloodhound is a twisted archmage, Who in his studies discovered two important secrets: how to be immortal, a technique also used to heal his wounds, and how to find virgin blood. Unlike the other archmages, he has discovered no great secret that can topple armies, but what he has found is by far the most powerful blood hunting technique known to man. For this he is hated by villagers and loved by demons. He keeps with him a blood hound, symbolic of his ability, which has been made supernaturally rabid as gift from his demonic allies, The hound will bite and disease his foes in battle. The archmage is given the moniker 'Bloodhound' by the people, primarily, because of the hound familiar. The fear he causes in villagers enhances his ability to pillage effectively, ten fold."
#ap 12
#mapmove 2
#hp 17
#prot 0
#size 2
#fear -3
#str 9
#enc 2
#att 6
#def 9
#prec 12
#mr 18
#mor 30
#gcost 75
#rcost 10
#weapon 821
#pillagebonus 9
#weapon "Rabid hound"
#douse 35
#startdom 1
#magicskill 7 2
#pathcost 10
#goodleader
#nomagicleader
#goodundeadleader
#end


#newmonster 2386
#clear
#name "Wind Dancer"
#spr1 "./battlemages/dancer1.tga"
#spr2 "./battlemages/dancer2.tga"
#descr "the wind dancer is a mage who practices an art that is very visceral and requires more movement than your standard magic. In her meditations she discovered two secrets: A yoga that grants her immortality, also used to heal her wounds, and the motions that can cause the air and wind to form itself into sharp zephyrs that can cut and hew limbs. She used this later skill to rise to power. She is practiced in martial arts, and uses the edge of a ribbon in battle, as if it where a sword. Also apt in the art of falconry, she is accompanied in battle by a falcon trained to gouge out her enemies eyes. The wind dancer is lithe and quick, and is harder to hit because of it."
#ap 13
#mapmove 2
#hp 14
#prot 0
#size 2
#str 7
#enc 1
#att 6
#def 14
#prec 12
#mr 18
#mor 30
#gcost 75
#rcost 10
#weapon "Ribbon"
#weapon "Falcon"
#weapon 823
#weapon 817
#startdom 1
#magicskill 1 2
#pathcost 10
#female
#expertleader
#nomagicleader
#noundeadleader
#end

#newmonster 2387
#clear
#name "Ember Mage"
#spr1 "./battlemages/ember1.tga"
#spr2 "./battlemages/ember2.tga"
#descr "The ember mage is an archmage who focused her studies on the juxtaposition of fire and ice. In the constant chaos and exchange of opposing forces, she found a pattern of balance  an epiphany that allowed her to mysteriously master her own mortality, and control the combined forces of fire and ice. With just a gesture she can rain the two opposing forces on her foes. Additionally she suffers no pain from either element. Those witnessing the force she wields easily see similarities between the mage and the legendary 'Ember' sword  hence the title given to her."
#ap 12
#mapmove 2
#hp 14
#prot 0
#size 2
#str 8
#enc 2
#att 6
#def 9
#prec 12
#mr 18
#mor 30
#gcost 75
#rcost 10
#weapon 238
#weapon 818
#weapon 819
#fireres 100
#coldres 100
#startdom 1
#magicskill 0 1
#magicskill 2 1
#pathcost 10
#female
#expertleader
#nomagicleader
#noundeadleader
#end

#newmonster 2388
#clear
#name "Reaper"
#spr1 "./battlemages/reaper1.tga"
#spr2 "./battlemages/reaper2.tga"
#descr "The reaper is an arch necromancer, who delved so deep into her studies that she not only mastered her own mortality, but embodied the spirit of death itself. Wrapped in a thick cloak she roams the lands and whomever she chooses falls dead as their soul is removed from their bodies. Wielding this fearsome power, she now seeks to ascend to the One God's former throne. She makes a poor leader of mortals, as own troops are often afraid to follow her, but those already lacking in life are more than willing to serve under her guidance."
#ap 12
#mapmove 2
#hp 14
#prot 0
#size 2
#str 8
#enc 2
#att 6
#def 9
#prec 12
#mr 18
#mor 30
#gcost 75
#rcost 10
#weapon 825
#weapon 824
#weapon 824
#fear -3
#startdom 1
#magicskill 5 2
#pathcost 10
#female
#poorleader
#nomagicleader
#expertundeadleader
#end

#newmonster 2389
#clear
#name "Geomancer"
#spr1 "./battlemages/geo1.tga"
#spr2 "./battlemages/geo2.tga"
#descr "The Geomancer is an archmage who focuses his study into the realm of earth and stone. He has mastered the art, and transformed his flesh and organs to have the consistency of hardened rock, thus transmuting his body out of mortality and into the ageless realm shared by statues and monuments. Additionally he can transmute the flesh of others, but not in a way that lends immortality, rather in a way that ends mortality."
#ap 12
#mapmove 2
#hp 14
#prot 10
#size 2
#str 8
#enc 3
#att 6
#def 9
#prec 12
#mr 18
#mor 30
#gcost 75
#rcost 10
#weapon 238
#weapon 816
#weapon 816
#startdom 1
#magicskill 3 2
#pathcost 10
#expertleader
#nomagicleader
#noundeadleader
#end